defaults {
        polling_interval        2
        path_selector           "round-robin 0"
        path_grouping_policy    multibus
        getuid_callout          "/lib/udev/scsi_id -g -u -d /dev/%n"
        rr_min_io               100
        failback                immediate
        no_path_retry           fail
}

devices {
	device {
		vendor "SYNOLOGY"
		getuid_callout "/lib/udev/scsi_id --whitelisted --device=/dev/%n"
		polling_interval	"10"
        	path_checker    "directio"
	        failback 	"immediate"
	        prio_callout    "none"
        	no_path_retry 	"fail"
		path_selector 	"service-time 0"
	}
}

blacklist {
        wwid *
  	devnode "^(ram|raw|loop|fd|md|dm-|sr|scd|st|sda)[0-9]*"
      	devnode "^hd[a-z][0-9]*"
      	devnode "^cciss.c[0-9]d[0-9].*"
}

blacklist_exceptions {
        wwid "36001405300b69b5df12cd3044d9577d3"
}

multipaths {
  multipath {
        wwid "36001405300b69b5df12cd3044d9577d3"
        alias Storage_Synology
  }
}
